@JS('AMap')
library amap;

import 'package:js/js.dart';

/**
 * 这里`new Map(id)` 调用js的`new AMap.Map(id)
 * new AMap.Map(div: (String | HTMLDivElement), opts: MapOptions)
 */
@JS('Map')
class AMap {
  external AMap(dynamic /*String|HTMLDivElement*/ div, MapOptions opts);
}

@JS()
@anonymous
class MapOptions {
  external factory MapOptions({
    // 初始中心经纬度
    LngLat center,
    // 地图显示的缩放级别
    num zoom,
    // 地图视图模式, 默认为‘2D’
    String /*‘2D’|‘3D’*/ viewMode,
  });
}

@JS()
class LngLat {
  external num getLng();
  external num getLat();
  external LngLat(num lng, num lat);
}
